Last Comment Bug 783517 - Win8 crash in atidxx32.dll 8.17.10.451 (ATI driver version 8.982.0.0)
: Win8 crash in atidxx32.dll 8.17.10.451 (ATI driver version 8.982.0.0)
Status: VERIFIED FIXED
[Win8]
: crash, topcrash, verifyme
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 14 Branch
: All Windows 8
: -- critical with 3 votes (vote)
: mozilla18
Assigned To: Joe Drew (not getting mail)
: Marcia Knous [:marcia - use ni]
Mentors:
Depends on: 744672 789830
Blocks: 605780 611607
  Show dependency treegraph
 
Reported: 2012-08-17 04:15 PDT by Scoobidiver (away)
Modified: 2016-06-27 12:47 PDT (History)
25 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
verified
verified


Attachments
block up to and including catalyst 12.8 on windows 8 (1.76 KB, patch)
2012-09-13 15:39 PDT, Joe Drew (not getting mail)
jacob.benoit.1: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Scoobidiver (away) 2012-08-17 04:15:18 PDT
It first appeared on Windows 8 in 17.0a1/20120815 and 16.0a2/20120815. The regression windows are:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=22288130fea2&tochange=86ee4deea55b
http://hg.mozilla.org/releases/mozilla-aurora/pushloghtml?fromchange=1b8af79d5194&tochange=ecff9596cfba
Bug 780035 is the only desktop bug that belongs to the two regression windows.

Signature 	atidxx32.dll@0x624f2 More Reports Search
UUID	a1a43efb-b90d-4b75-8d71-842a02120817
Date Processed	2012-08-17 07:42:12
Uptime	22
Install Age	12.8 hours since version was first installed.
Install Time	2012-08-16 18:53:36
Product	Firefox
Version	17.0a1
Build ID	20120813030532
Release Channel	nightly
OS	Windows NT
OS Version	6.2.9200
Build Architecture	x86
Build Architecture Info	GenuineIntel family 6 model 15 stepping 11
Crash Reason	EXCEPTION_ACCESS_VIOLATION_READ
Crash Address	0x501fffc
App Notes 	
AdapterVendorID: 0x1002, AdapterDeviceID: 0x68b8, AdapterSubsysID: 29991682, AdapterDriverVersion: 8.982.0.0
D2D? D2D+ DWrite? DWrite+ D3D10 Layers? D3D10 Layers+ 
Processor Notes 	
EMCheckCompatibility	True
Adapter Vendor ID	0x1002
Adapter Device ID	0x68b8
Total Virtual Memory	4294836224
Available Virtual Memory	3891982336
System Memory Use Percentage	27
Available Page File	6353928192
Available Physical Memory	3097853952

Frame 	Module 	Signature 	Source
0 	atidxx32.dll 	atidxx32.dll@0x624f2 	
1 	atidxx32.dll 	atidxx32.dll@0xfdbe 	
2 	atidxx32.dll 	atidxx32.dll@0x67b8 	
3 	atidxx32.dll 	atidxx32.dll@0x2478e 	
4 	atiuxpag.dll 	atiuxpag.dll@0x4b39 	
5 	d3d11.dll 	d3d11.dll@0x8187 	
6 	d3d11.dll 	d3d11.dll@0x8174 	
7 	d2d1.dll 	d2d1.dll@0x6115 	
8 	d2d1.dll 	d2d1.dll@0x5c31 	
9 	d2d1.dll 	d2d1.dll@0x16ebd8 	
10 	gkmedias.dll 	mozilla::gfx::DrawTargetD2D::~DrawTargetD2D 	gfx/2d/DrawTargetD2D.cpp:163
11 	gkmedias.dll 	mozilla::gfx::DrawTargetD2D::`vector deleting destructor' 	
12 	gkmedias.dll 	mozilla::RefCounted<mozilla::gfx::PathSink>::Release 	obj-firefox/dist/include/mozilla/RefPtr.h:64
13 	gkmedias.dll 	mozilla::gfx::DrawTargetDual::~DrawTargetDual 	
14 	gkmedias.dll 	mozilla::gfx::DrawTargetDual::`scalar deleting destructor' 	
15 	xul.dll 	mozilla::RefCounted<mozilla::gfx::Path>::Release 	obj-firefox/dist/include/mozilla/RefPtr.h:64
16 	xul.dll 	mozilla::RefPtr<mozilla::gfx::DrawTarget>::operator= 	obj-firefox/dist/include/mozilla/RefPtr.h:120
17 	xul.dll 	mozilla::layers::ThebesLayerD3D10::CreateNewTextures 	gfx/layers/d3d10/ThebesLayerD3D10.cpp:499
18 	xul.dll 	mozilla::layers::ThebesLayerD3D10::Validate 	gfx/layers/d3d10/ThebesLayerD3D10.cpp:212
19 	xul.dll 	mozilla::layers::ContainerLayerD3D10::Validate 	gfx/layers/d3d10/ContainerLayerD3D10.cpp:356
20 	xul.dll 	mozilla::layers::ContainerLayerD3D10::Validate 	gfx/layers/d3d10/ContainerLayerD3D10.cpp:358
21 	xul.dll 	mozilla::layers::LayerManagerD3D10::Render 	gfx/layers/d3d10/LayerManagerD3D10.cpp:708
22 	xul.dll 	mozilla::layers::LayerManagerD3D10::EndTransaction 	gfx/layers/d3d10/LayerManagerD3D10.cpp:365
23 	xul.dll 	xul.dll@0x1047bf 	
24 	xul.dll 	nsDisplayList::PaintForFrame 	layout/base/nsDisplayList.cpp:1040

More reports at:
https://crash-stats.mozilla.com/report/list?signature=atidxx32.dll%400x624f2
Comment 1 :Aryeh Gregor (working until September 2) 2012-08-17 04:55:56 PDT
The stack has absolutely nothing to do with what bug 780035 touches, so I'm almost certain the connection is a fluke.
Comment 2 Scoobidiver (away) 2012-08-17 05:23:10 PDT
In fact, it's not a regression in the Firefox code.
It has appeared across all versions since August 15 at 18:16 UTC when Catalyst 12.8 was released.
Comment 3 Robert Kaiser 2012-08-17 07:45:40 PDT
This only happens on Win8 and is spiking in yesterday's data, probably due to this new consumer preview of Win8 that shipped.
Comment 4 Bas Schouten (:bas.schouten) 2012-08-17 09:38:55 PDT
(In reply to Robert Kaiser (:kairo@mozilla.com) from comment #3)
> This only happens on Win8 and is spiking in yesterday's data, probably due
> to this new consumer preview of Win8 that shipped.

Just for the record, this was the RTM that shipped to developers, not a consumer preview :).
Comment 5 Scoobidiver (away) 2012-08-18 15:34:00 PDT
It's #9 top browser crasher in 15.0b5, #34 in 16.0a2, #22 in 17.0a1.
Comment 6 Wes Kocher (:KWierso) 2012-08-22 01:03:07 PDT
I was just scrolling up on a Bing search results page when I crashed.
Comment 7 Scoobidiver (away) 2012-08-22 08:15:43 PDT
Blocklisting this driver version for D2D on Windows 8 should stop it.
Comment 8 Bas Schouten (:bas.schouten) 2012-08-22 14:36:34 PDT
(In reply to Scoobidiver from comment #7)
> Blocklisting this driver version for D2D on Windows 8 should stop it.

Hrm, that's not great. We should definitely get AMD on this! Do we have someone yet who we can contact there?
Comment 9 Alex Keybl [:akeybl] 2012-08-22 15:51:16 PDT
(In reply to Bas Schouten (:bas) from comment #8)
> (In reply to Scoobidiver from comment #7)
> > Blocklisting this driver version for D2D on Windows 8 should stop it.
> 
> Hrm, that's not great. We should definitely get AMD on this! Do we have
> someone yet who we can contact there?

We'll find a contact - just pinged Kev and I'll follow up.
Comment 10 Scoobidiver (away) 2012-08-22 23:15:53 PDT
(In reply to Bas Schouten (:bas) from comment #8)
> Hrm, that's not great. We should definitely get AMD on this!
I don't think AMD will do something as the latest versions don't crash (see http://developer.amd.com/download/ccc/pages/default.aspx).
Bug 774672 is the right place to blocklist.
Comment 11 Scoobidiver (away) 2012-08-22 23:16:43 PDT
(In reply to Scoobidiver from comment #10)
> Bug 774672 is the right place to blocklist.
I meant bug 744672.
Comment 12 Scoobidiver (away) 2012-08-23 00:04:17 PDT
> the latest versions don't crash
Wrong! Investigating further, I found that the atidxx32.dll version in crash correlations is the latest one:
  atidxx32.dll@0x624f2|EXCEPTION_ACCESS_VIOLATION_READ (344 crashes)
        100% (344/344) vs.   1% (524/64449) 8.17.10.451
  atidxx32.dll@0x3bf6ee|EXCEPTION_ACCESS_VIOLATION_READ (16 crashes)
          100% (16/16) vs.   1% (524/64449) 8.17.10.451
  atidxx32.dll@0x624f8|EXCEPTION_ACCESS_VIOLATION_WRITE (15 crashes)
          100% (15/15) vs.   1% (524/64449) 8.17.10.451
  atidxx64.dll@0x747db|EXCEPTION_ACCESS_VIOLATION_WRITE (52 crashes)
          100% (52/52) vs.   1% (129/10679) 8.17.10.451
Comment 13 Benoit Jacob [:bjacob] (mostly away) 2012-08-23 06:14:20 PDT
(In reply to Alex Keybl [:akeybl] from comment #9)
> (In reply to Bas Schouten (:bas) from comment #8)
> > (In reply to Scoobidiver from comment #7)
> > > Blocklisting this driver version for D2D on Windows 8 should stop it.
> > 
> > Hrm, that's not great. We should definitely get AMD on this! Do we have
> > someone yet who we can contact there?
> 
> We'll find a contact - just pinged Kev and I'll follow up.

Generally, we have specific gfx driver contacts, no need to ping Kev about that, except for rare GPU vendors for which we don't have contacts yet.

Are we certain that the crashes are specific to 8.982.0.0 ?
Comment 14 Scoobidiver (away) 2012-08-23 06:32:41 PDT
(In reply to Benoit Jacob [:bjacob] from comment #13)
> Are we certain that the crashes are specific to 8.982.0.0 ?
Yes, indirectly by the atidxx32.dll version in crash correlations (see comment 12) and directly by App Notes in crash reports (no AdapterDriverVersion field on Socorro in order to have correlations per driver version).
Comment 15 Marcia Knous [:marcia - use ni] 2012-08-25 09:37:32 PDT
#17 top crash in 15.0b6, and there are crashes in the candidate build for Firefox 15. Are we planning to try to do something about this before we ship 15?
Comment 16 Scoobidiver (away) 2012-08-25 10:06:41 PDT
(In reply to Marcia Knous [:marcia] from comment #15)
> Are we planning to try to do something about this before we ship 15?
Windows 8 is not yet supported: http://www.mozilla.org/en-US/firefox/system-requirements.html
Comment 17 Bas Schouten (:bas.schouten) 2012-08-25 10:32:15 PDT
Official Win8 release however, will occur before 16 is shipped so it would be good to do something about this!
Comment 18 Scoobidiver (away) 2012-08-25 10:52:51 PDT
(In reply to Bas Schouten (:bas) from comment #17)
> Official Win8 release however, will occur before 16 is shipped so it would
> be good to do something about this!
October 28th (see http://windowsteamblog.com/windows/b/bloggingwindows/archive/2012/07/18/windows-8-will-be-available-on.aspx) is after the release of Firefox 16.

To get it fixed, the patch of bug 706908 and a new patch in bug 744672 are required along with a new AMD driver version to know the min driver version.
Comment 19 blackmage71 2012-08-28 04:54:44 PDT
I realize Windows 8 is not yet a supported platform, and that General Availability (GA) is not until 26 October (see links to the windows team blog in previous posts), HOWEVER it is already released both to Volume Licensing (VL) customers, Enterprise Agreement(EA) customers, Tech Net Subscribers AND MSDN. That is quite a large swath particularly of Enterprise and Developers. Realistically it should be treated as if the official release HAS ALREADY OCCURRED as from 16 August onwards the install base of Windows 8 is only going to climb significantly. I do however agree that this is not a priority for 15, but it should be a priority for 16, which will be the available version at the time of GA.
Comment 20 Scoobidiver (away) 2012-08-28 05:09:34 PDT
(In reply to blackmage71 from comment #19)
> it should be a priority for 16
See the + in tracking flags.
It can't be fixed as long as AMD hasn't released a non buggy driver (currently Catalyst 12.8) unless HW acceleration is disabled for AMD GPUs whatever their driver version. See comment 18.
Comment 21 Boris Prpic 2012-08-31 12:50:35 PDT
This should be handled with priority. You should also make 15.0.1 for w8 users.

Next AMD driver is at least a month away so everybody who installs windows 8 on amd GPU till at least end of September will have unusable Firefox.

I am experiencing 5-20 crashes per day.
Comment 22 Scoobidiver (away) 2012-08-31 13:10:35 PDT
(In reply to Boris Prpic from comment #21)
> This should be handled with priority. You should also make 15.0.1 for w8
> users.
Windows 8 will be officially released on October 26 after Firefox 16.
To workaround those crashes, disable HW acceleration.
Comment 23 Boris Prpic 2012-08-31 13:21:45 PDT
(In reply to Scoobidiver from comment #22)
> (In reply to Boris Prpic from comment #21)
> > This should be handled with priority. You should also make 15.0.1 for w8
> > users.
> Windows 8 will be officially released on October 26 after Firefox 16.
> To workaround those crashes, disable HW acceleration.

Officially in stores. But its already released for Volume licensing, TechNet, MSDN, Students and it is available on torrent trackers. I think it already have 0.5% market share.
Comment 24 Scoobidiver (away) 2012-08-31 13:45:01 PDT
The Windows 8 market share is currently 0.2% on July (see http://marketshare.hitslink.com/operating-system-market-share.aspx?qprid=10&qpcustomd=0) and the AMD GPU one is about 33% so only 0.07% of Firefox users are currently concerned, so there's nothing to worry about.

The patch will disable HW acceleration for this AMD driver version on Windows 8, hoping AMD will provide a non buggy driver soon.
Comment 25 Alex Keybl [:akeybl] 2012-09-04 17:58:53 PDT
Ted's looking into getting symbols so that Bas can more easily investigate this crash.
Comment 26 Ted Mielczarek [:ted.mielczarek] 2012-09-05 06:38:25 PDT
I fixed a quirk of the Microsoft symbol fetching process and re-ran it, and we should now have symbols for most of this stack. I don't think we'll have symbols for the driver at the top of the stack, although we appear to have symbols for other versions of that driver that must have come from the Microsoft symbol server.
Comment 27 Ted Mielczarek [:ted.mielczarek] 2012-09-05 09:44:01 PDT
We're starting to get new reports that are properly symbolized (except for the drivers, as I suspected):
https://crash-stats.mozilla.com/report/index/3e1a646e-0cc5-49ec-bf90-c95852120905
Comment 28 Bas Schouten (:bas.schouten) 2012-09-05 10:09:53 PDT
Hrm, only the top of the stack looks similar to me :s and pretty generic. That makes a workaround less likely, although not impossible, I'll have to look at some more stacks.
Comment 29 bhavana bajaj [:bajaj] 2012-09-05 12:23:19 PDT
Can someone at this point a)make a hardware recommendation for us to reproduce the issue or b)help find a microsoft contact who can help us check the symbol issues with newer ATI drivers
Comment 30 Wes Kocher (:KWierso) 2012-09-05 12:32:31 PDT
I had the crash once with a Radeon HD 6870, running with the 8.982.0.0 driver
Comment 31 Boris Prpic 2012-09-05 13:01:52 PDT
I am crashing on 6950.
Windows 8 x64 enterprise
3 monitors.

Crash time pretty random. I have not found any patterns. Maybe I can say that it happens mostly when changing tabs but I am not sure.

I am willing to help if there is anything I can do.
Comment 33 falsecrypt 2012-09-13 06:35:17 PDT
I'm running on Firefox(v15.0.1) and it keeps crashing. I have AMD Radeon HD 6670 and Windows 8 Pro installed.

https://crash-stats.mozilla.com/report/index/bp-88b85703-2954-4f84-9fef-31dc12120913
https://crash-stats.mozilla.com/report/index/bp-025c2f36-e4ce-4901-9b7a-c04f62120913
Comment 34 Joe Drew (not getting mail) 2012-09-13 15:39:19 PDT
Created attachment 661023 [details] [diff] [review]
block up to and including catalyst 12.8 on windows 8

Let's just block everything on AMD on Windows 8 for now. We'll presume that AMD will fix it in an update; if not, we'll have to update this blacklist entry.
Comment 35 Joe Drew (not getting mail) 2012-09-13 15:41:38 PDT
Try push: https://tbpl.mozilla.org/?tree=Try&rev=8397a69ce405
Comment 36 nasko_naskov 2012-09-13 15:43:41 PDT
Does this mean i won't have HWA on win8 with cat 12.8?
Comment 37 Benoit Jacob [:bjacob] (mostly away) 2012-09-13 19:41:46 PDT
Comment on attachment 661023 [details] [diff] [review]
block up to and including catalyst 12.8 on windows 8

Review of attachment 661023 [details] [diff] [review]:
-----------------------------------------------------------------

Yup, checked the 8.982 <-> 12.8 number, seems correct.
Comment 38 Joe Drew (not getting mail) 2012-09-13 19:46:29 PDT
Comment on attachment 661023 [details] [diff] [review]
block up to and including catalyst 12.8 on windows 8

[Approval Request Comment]
Bug caused by (feature/regressing bug #): no bug
User impact if declined: crashes on AMD drivers on Windows 8
Testing completed (on m-c, etc.): minimal
Risk to taking this patch (and alternatives if risky): No hardware acceleration for AMD drivers on Windows 8. Could accidentally block hardware acceleration on all Windows systems. 
String or UUID changes made by this patch: None
Comment 39 Joe Drew (not getting mail) 2012-09-13 19:46:52 PDT
Try is green, pushed to inbound: https://hg.mozilla.org/integration/mozilla-inbound/rev/eb3bb2153ade
Comment 40 Joe Drew (not getting mail) 2012-09-13 19:49:36 PDT
Oh! One other thing to be aware of when approving: This only blocks *known* AMD drivers on Windows 8. Even if they don't fix their crashiness with the next public release, hardware acceleration will still be allowed.

(I did this on purpose, because if they do fix their crashiness, it'd be nice for hardware acceleration to start working without further work on our part. We can also deploy graphics blocklist entries via the downloaded AMO blocklist.)
Comment 41 Mozilla RelEng Bot 2012-09-13 20:00:42 PDT
Try run for 8397a69ce405 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=8397a69ce405
Results (out of 7 total builds):
    success: 7
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jdrew@mozilla.com-8397a69ce405
Comment 42 Alex Keybl [:akeybl] 2012-09-14 12:03:58 PDT
Comment on attachment 661023 [details] [diff] [review]
block up to and including catalyst 12.8 on windows 8

[Triage Comment]
Let's land this on Aurora today, Marcia can look at it on Monday, and then we can land for Beta 4. I just want to make sure we don't disable HWA across the board (as the risk evaluation suggests).
Comment 43 Joe Drew (not getting mail) 2012-09-14 12:09:16 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/83e9988ac6c0
Comment 44 Gary [:streetwolf] 2012-09-14 14:14:35 PDT
FWIW...  I was getting crashes every so often running Fx18 (hourlies) under Windows 8.  I lowered the overclock on my AMD HD7970 and I haven't crashed since then.   Might be coincidence or a cause and effect.
Comment 45 juan becerra [:juanb] 2012-09-14 14:44:34 PDT
Win8 64bit RTM, Sapphire Radeon HD 6950,  Catalyst 12.8, on 15.0.1 and latest nightly plus latest Flash, hwa enabled, two monitors, multiple tabs, multiple windows, no other add-ons, youtube, gmail, other media sites: I haven't been able to crash with common user operations after about a half hour of fiddling.

If you have suggestions as to other things I should install or try, let me know.
Comment 46 Jevon 2012-09-14 15:54:27 PDT
I think I've been getting a similar regular crash on Windows 7 (atidxx32.dll@0x3bfa5a), and I think it's because I'm Bitcoin mining at the same time with DiabloMiner (so my GPU is under heavy stress). This could be a way to try and reproduce the crash.
Comment 47 Ryan VanderMeulen [:RyanVM] 2012-09-14 18:20:31 PDT
https://hg.mozilla.org/mozilla-central/rev/eb3bb2153ade
Comment 48 Scoobidiver (away) 2012-09-16 09:39:03 PDT
I updated https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers
Comment 49 Siddharth Agarwal [:sid0] (inactive) 2012-09-16 12:35:07 PDT
I'm still crashing with the 2012-09-16 nightly, which includes the fix. I *believe* it's because of bug 789830.
Comment 50 Siddharth Agarwal [:sid0] (inactive) 2012-09-16 12:36:31 PDT
Here's a crash report: https://crash-stats.mozilla.com/report/index/bp-3500cd45-d154-4248-a45b-03c1b2120916
Comment 51 Alex Keybl [:akeybl] 2012-09-18 09:44:36 PDT
Comment on attachment 661023 [details] [diff] [review]
block up to and including catalyst 12.8 on windows 8

[Triage Comment]
Now that we have bug 783517 and we haven't heard of major regressions, let's land on Beta as well.
Comment 52 Joe Drew (not getting mail) 2012-09-18 10:07:47 PDT
Sid, I'm going to leave this as closed since we landed the patch. Can you open a follow-up bug if this persists?

https://hg.mozilla.org/releases/mozilla-beta/rev/bb118ab06ae5
Comment 53 James May [:fowl] 2012-09-25 03:49:44 PDT
This block seems to have spread to Windows 7 as well. 

I get "Blocked for your graphics driver version." in about:support.
Comment 54 André Ziegler 2012-09-25 03:55:17 PDT
In 16b4 HW acceleration (direct2d) is also disabled in Windows 7 with my 5770. Was this intended to happen? 

gfx.blacklist.direct2d is always set to 3 even if I reset the value. Can I disable this ****? My firefox doesn't have any crashes related to drivers.

Here is my about:support entry:

Name Firefox
          
Version 16.0
          
User-Agent Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0

Grafik
      
Karten-Beschreibung		ATI Radeon HD 5700 Series
Vendor-ID			0x1002
Geräte-ID			0x68b8
Karten-RAM			1024
Karten-Treiber			aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64
Treiber-Version			8.982.0.0
Treiber-Datum			7-27-2012
Direct2D aktiviert		Wurde auf Grund Ihrer Grafiktreiberversion blockiert.
DirectWrite aktiviert		false (6.1.7601.21935)
ClearType-Parameter		Gamma: 2200 Pixel Structure: RGB ClearType Level: 100 Enhanced Contrast: 300 
WebGL-Renderer			Google Inc. -- ANGLE (ATI Radeon HD 5700 Series) -- OpenGL ES 2.0 (ANGLE 1.0.0.1041)
GPU-beschleunigte Fenster	1/1 Direct3D 9
Comment 55 Scoobidiver (away) 2012-09-25 04:40:34 PDT
For the block in Vista and 7, see https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers
Comment 56 André Ziegler 2012-09-25 04:46:03 PDT
(In reply to Scoobidiver from comment #55)
> For the block in Vista and 7, see
> https://wiki.mozilla.org/Blocklisting/Blocked_Graphics_Drivers

I know this ;) Why is Firefox blocking the AMD 12.8 driver on Windows 7? This is my question. When I reset the blacklisting in about:config it changes back again after a few minutes. How can I stop this?
Comment 57 Scoobidiver (away) 2012-09-25 05:02:31 PDT
(In reply to André Ziegler from comment #56)
> I know this ;) Why is Firefox blocking the AMD 12.8 driver on Windows 7?
It's explained in the bug of the downloaded blacklist section.
Comment 58 André Ziegler 2012-09-26 04:31:04 PDT
ok, I've overlocked that HW acceleartion is now blocked for all windows versions. using the force direct2D setting in about:config works for me to unlock it.
Comment 59 Boris Prpic 2012-09-27 11:26:40 PDT
12.9 Beta driver is out and it looks like it is not crashing anymore.
HWA is enabled.
Comment 60 Boris Prpic 2012-09-29 05:24:19 PDT
I got one crash on 12.9: https://crash-stats.mozilla.com/report/index/bp-46ec9bac-b3fa-4be4-ad54-b4be22120929

Not sure if it is related to this but it crashed in driver.
Comment 61 IU 2012-09-30 07:10:12 PDT
(In reply to Boris Prpic from comment #60)
> I got one crash on 12.9:
> https://crash-stats.mozilla.com/report/index/bp-46ec9bac-b3fa-4be4-ad54-
> b4be22120929
> 
> Not sure if it is related to this but it crashed in driver.

Your crash report indicates you're running Firefox 17.0a2.  Please update to the latest Nightly build then try again.
Comment 62 IU 2012-09-30 07:18:56 PDT
Oh never mind me.  I guess 17.0a2 is Aurora.  I thought it was an old nightly. :-/
Comment 63 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-16 15:37:08 PDT
Please verify by checking Socorro and also manually spotchecking that AMD drivers are blocked on Windows 8.
Comment 64 Mihaela Velimiroviciu (:mihaelav) 2012-11-06 00:09:24 PST
Mozilla/5.0 (Windows NT 6.2; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0

Verified that the ATI driver version 8.982.0.0 is blocked on Win 8 and there are no crashes for this driver version in Socorro.

Graphics

        Adapter Description
        AMD Radeon HD 6450

        Vendor ID
        0x1002

        Device ID
        0x6779

        Adapter RAM
        1024

        Adapter Drivers
        aticfx64 aticfx64 aticfx64 aticfx32 aticfx32 aticfx32 atiumd64 atidxx64 atidxx64 atiumdag atidxx32 atidxx32 atiumdva atiumd6a atitmm64

        Driver Version
        8.982.0.0

        Driver Date
        7-27-2012

        Direct2D Enabled
        Blocked for your graphics driver version. Try updating your graphics driver to version > 12.8 or newer.

        DirectWrite Enabled
        false (6.2.9200.16384)

        ClearType Parameters
        ClearType parameters not found

        WebGL Renderer
        Blocked for your graphics driver version. Try updating your graphics driver to version > 12.8 or newer.

        GPU Accelerated Windows
        0. Blocked for your graphics driver version. Try updating your graphics driver to version > 12.8 or newer.

        AzureCanvasBackend
        cairo

        AzureFallbackCanvasBackend
        none

        AzureContentBackend
        none
Comment 65 Mihaela Velimiroviciu (:mihaelav) 2012-12-07 07:20:33 PST
Mozilla/5.0 (Windows NT 6.2; WOW64; rv:18.0) Gecko/20100101 Firefox/18.0

ATI driver version 8.982.0.0 is blocked on Win 8. Also, there are no crashes for Firefox 18 with this driver version in Socorro.
Comment 66 Milan Sreckovic [:milan] 2016-05-27 13:52:12 PDT
Looking at this crash: https://crash-stats.mozilla.com/report/index/d20cc5b9-28e8-49c3-aedd-009b42160520

46.0.1
Windows 8
AMD graphics
8.892.0.0 driver
D3D11 Layers+

Yet, this should be blocked.  Is it possible the user is forcing this?  Jeff, we don't have the crash annotation with major preferences until 47, not sure if there is another way to check.

Anthony, can you find if there are more of the crashes that should be blocked by this bug?
Comment 67 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2016-05-27 16:09:38 PDT
https://crash-stats.mozilla.com/search/?product=Firefox&adapter_driver_version=%3D8.892.0.0&_facets=signature&_facets=version&_columns=date&_columns=signature&_columns=product&_columns=version&_columns=build_id&_columns=platform#facet-version

There are 344 crashes reported in the last week with driver 8.892.0.0.
80.53% are with Firefox 46 or later.
 4.65% appear to be graphics related.
 0.58% appear to be related to atidxx32.dll.

In terms of platform there are none on Windows 8. 
* 78.78% are on Windows 7
*  4.07% are on Windows XP
*  1.16% are on Windows Vista
Looking at just the atidxx32.dll crashes it is 100% on Windows Vista.

It's not clear to me that blocklisting is supposed to block the type of crash you referenced above.
Comment 68 Milan Sreckovic [:milan] 2016-05-27 16:22:56 PDT
Sorry Anthony, I transposed the driver version in comment 66 - it's 8.982.0.0 we care about, rather than 8.892.0.0.
Comment 69 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2016-05-27 21:51:02 PDT
(In reply to Milan Sreckovic [:milan] from comment #68)
> Sorry Anthony, I transposed the driver version in comment 66 - it's
> 8.982.0.0 we care about, rather than 8.892.0.0.

Here are all the crashes with Firefox 46.0.1 on Windows 8 with driver 8.982.0.0 with D3D11 Layers+
https://crash-stats.mozilla.com/search/?product=Firefox&adapter_driver_version=%3D8.982.0.0&app_notes=~Layers%2B&platform_pretty_version=%3DWindows%208&version=46.0.1&_facets=signature&_facets=version&_facets=platform_pretty_version&_facets=app_notes&_columns=date&_columns=signature&_columns=product&_columns=version&_columns=build_id&_columns=platform#facet-signature

All in all there are only 23 reports (~3/day) most of which are shutdown hangs. As far as I can tell none of these are graphics related and none involve atidxx32.dll. I'm not sure there is anything in this data which points to a problem related to this bug report.
Comment 70 Jeff Muizelaar [:jrmuizel] 2016-06-27 12:47:14 PDT
So much has changed over the course of this bug I'm going to suggest that we drop it and open a new one for any new information or problems.

Note You need to log in before you can comment on or make changes to this bug.